ao-strs.c 14 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379
  1. /* -*- buffer-read-only: t -*- vi: set ro:
  2. *
  3. * DO NOT EDIT THIS FILE (ao-strs.c)
  4. *
  5. * It has been AutoGen-ed
  6. * From the definitions ao-strs.def
  7. * and the template file strings
  8. *
  9. * Copyright (C) 2011-2018 Bruce Korb, all rights reserved.
  10. * This is free software. It is licensed for use, modification and
  11. * redistribution under the terms of the
  12. * Modified (3 clause) Berkeley Software Distribution License
  13. * <http://www.xfree86.org/3.3.6/COPYRIGHT2.html>
  14. *
  15. * Redistribution and use in source and binary forms, with or without
  16. * modification, are permitted provided that the following conditions
  17. * are met:
  18. * 1. Redistributions of source code must retain the above copyright
  19. * notice, this list of conditions and the following disclaimer.
  20. * 2. Redistributions in binary form must reproduce the above copyright
  21. * notice, this list of conditions and the following disclaimer in the
  22. * documentation and/or other materials provided with the distribution.
  23. * 3. Neither the name ``Bruce Korb'' nor the name of any other
  24. * contributor may be used to endorse or promote products derived
  25. * from this software without specific prior written permission.
  26. *
  27. * strings IS PROVIDED BY Bruce Korb ``AS IS'' AND ANY EXPRESS
  28. * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
  29. * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
  30. * ARE DISCLAIMED. IN NO EVENT SHALL Bruce Korb OR ANY OTHER CONTRIBUTORS
  31. * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
  32. * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
  33. * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
  34. * BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
  35. * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
  36. * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
  37. * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  38. */
  39. #include "ao-strs.h"
  40. char const ao_strs_strtable[6714] =
  41. /* 0 */ "-_^\0"
  42. /* 4 */ " %s%s\n\0"
  43. /* 12 */ "<?auto-options\0"
  44. /* 27 */ "<?program\0"
  45. /* 37 */ "%%-%ds %%s\n\0"
  46. /* 49 */ "<?program %s>\n\0"
  47. /* 64 */ "\n"
  48. "%s\n\n\0"
  49. /* 70 */ "=file\0"
  50. /* 76 */ "=Mbr\0"
  51. /* 81 */ "=Cplx\0"
  52. /* 87 */ "[=arg]\0"
  53. /* 94 */ "--%2$s%1$s\0"
  54. /* 105 */ "=Tim\0"
  55. /* 110 */ "none\0"
  56. /* 115 */ "# preset/initialization file\n"
  57. "# %s#\n\0"
  58. /* 153 */ " %3s %-14s %s\0"
  59. /* 167 */ "%s\0"
  60. /* 170 */ "T/F\0"
  61. /* 174 */ "\n"
  62. "%s\n\n"
  63. "%s\0"
  64. /* 182 */ "Fil\0"
  65. /* 186 */ "KWd\0"
  66. /* 190 */ "Mbr\0"
  67. /* 194 */ "Cpx\0"
  68. /* 198 */ "no \0"
  69. /* 202 */ "Num\0"
  70. /* 206 */ "opt\0"
  71. /* 210 */ "YES\0"
  72. /* 214 */ "Str\0"
  73. /* 218 */ "Tim\0"
  74. /* 222 */ "\t\t\t\t- \0"
  75. /* 229 */ "\t\t\t\t \0"
  76. /* 236 */ "\t\t\t\t-- and \0"
  77. /* 248 */ "\t\t\t\t%s\n\0"
  78. /* 256 */ " \0"
  79. /* 263 */ " \0"
  80. /* 269 */ " \0"
  81. /* 273 */ " \0"
  82. /* 276 */ "all\0"
  83. /* 280 */ " \t\n"
  84. ":=\0"
  85. /* 286 */ "%s_%s_%d=\0"
  86. /* 296 */ "''\0"
  87. /* 299 */ " ;;\n\n\0"
  88. /* 312 */ "'\n\n\0"
  89. /* 316 */ "</%s>\n\0"
  90. /* 323 */ " %s\n\0"
  91. /* 329 */ "%%-%ds\0"
  92. /* 336 */ "\n"
  93. "export %s_%s_%d\n\0"
  94. /* 354 */ "false\0"
  95. /* 360 */ " -* )\n\0"
  96. /* 370 */ "flag\0"
  97. /* 375 */ "INVALID-%d\0"
  98. /* 386 */ "*INVALID*\0"
  99. /* 396 */ "\\n\\\n\0"
  100. /* 401 */ " --* )\n\0"
  101. /* 412 */ "--\0"
  102. /* 415 */ "LONGUSAGE\0"
  103. /* 425 */ " %s\n\0"
  104. /* 441 */ "\\%03o\0"
  105. /* 447 */ "more\0"
  106. /* 452 */ "<%s type=nested>\n\0"
  107. /* 470 */ "%s\n\0"
  108. /* 474 */ "%s\n"
  109. " \0"
  110. /* 480 */ "OPT_ARG_NEEDED=NO\0"
  111. /* 498 */ "<%s/>\n\0"
  112. /* 505 */ "OPT_ARG_NEEDED=OK\0"
  113. /* 523 */ "\t\0"
  114. /* 525 */ "<%s>\0"
  115. /* 530 */ "option\0"
  116. /* 537 */ "\n"
  117. "export %s_%s\n\0"
  118. /* 552 */ "%s_%s=\0"
  119. /* 559 */ " | \0"
  120. /* 563 */ "PAGER\0"
  121. /* 569 */ "%1$s %2$s ; rm -f %2$s\0"
  122. /* 592 */ " + \0"
  123. /* 596 */ " puts(_(%s));\n\0"
  124. /* 612 */ "\\'\0"
  125. /* 615 */ "'%s'\0"
  126. /* 620 */ " -- %s\0"
  127. /* 627 */ "%s_%s_TEXT='\0"
  128. /* 640 */ "#! %s\n\0"
  129. /* 647 */ "\n"
  130. "env | grep '^%s_'\n\0"
  131. /* 667 */ "=%1$lu # 0x%1$lX\n\0"
  132. /* 685 */ "stdout\0"
  133. /* 692 */ "%A %B %e, %Y at %r %Z\0"
  134. /* 714 */ "TMPDIR\0"
  135. /* 721 */ "%s/use-%u.XXXXXX\0"
  136. /* 738 */ "true\0"
  137. /* 743 */ "<%s type=%s>\0"
  138. /* 756 */ "VERSION\0"
  139. /* 764 */ "#x%02X;\0"
  140. /* 772 */ "OPT_ARG_NEEDED=YES\0"
  141. /* 791 */ "\n"
  142. "# %s -- %s\n\0"
  143. /* 804 */ "# DEFAULT: \0"
  144. /* 816 */ "'\\''\0"
  145. /* 821 */ " '%s'\0"
  146. /* 827 */ "libopts misguessed length of string\n\0"
  147. /* 864 */ "\n"
  148. "OPTION_CT=0\n\0"
  149. /* 878 */ "set --\0"
  150. /* 885 */ "/tmp\0"
  151. /* 890 */ " ;;\n\n\0"
  152. /* 907 */ " '%c' )\n\0"
  153. /* 923 */ " '%s' )\n\0"
  154. /* 939 */ " '%s' | \\\n\0"
  155. /* 957 */ "<%1$s type=boolean>%2$s</%1$s>\n\0"
  156. /* 989 */ "# From the %s option definitions\n"
  157. "#\n\0"
  158. /* 1026 */ "echo 'Warning: Cannot load options files' >&2\0"
  159. /* 1073 */ "echo 'Warning: Cannot save options files' >&2\0"
  160. /* 1120 */ "echo 'Warning: Cannot suppress the loading of options files' >&2\0"
  161. /* 1186 */ "<%1$s type=integer>0x%2$lX</%1$s>\n\0"
  162. /* 1221 */ "%1$s_%2$s_TEXT='no %2$s text'\n\0"
  163. /* 1252 */ "%1$s_%2$s_MODE='%3$s'\n"
  164. "export %1$s_%2$s_MODE\n\0"
  165. /* 1297 */ "%1$s_%2$s='%3$s'\n"
  166. "export %1$s_%2$s\n\0"
  167. /* 1332 */ "%1$s_%2$s_CT=%3$d\n"
  168. "export %1$s_%2$s_CT\n\0"
  169. /* 1371 */ "OPTION_CT=%d\n"
  170. "export OPTION_CT\n\0"
  171. /* 1402 */ "%1$s_%2$s=%3$s\n"
  172. "export %1$s_%2$s\n\0"
  173. /* 1435 */ "%1$s_%2$s=%3$d # 0x%3$X\n"
  174. "export %1$s_%2$s\n\0"
  175. /* 1477 */ " case \"${OPT_CODE}\" in\n\0"
  176. /* 1508 */ " if [ $%1$s_%2$s_CT -gt %3$u ] ; then\n"
  177. " echo 'Error: more than %3$d %2$s options'\n"
  178. " echo \"$%1$s_USAGE_TEXT\"\n"
  179. " exit 1\n"
  180. " fi >&2\n\0"
  181. /* 1699 */ "test ${%1$s_%2$s_CT-0} -ge %3$u || {\n"
  182. " echo %1$s_%2$s has not been set\n"
  183. " exit 1\n"
  184. "} 1>&2\n\0"
  185. /* 1791 */ "test -n \"$%1$s_%2$s\" || {\n"
  186. " echo %1$s_%2$s has not been set\n"
  187. " exit 1\n"
  188. "} 1>&2\n\0"
  189. /* 1872 */ " echo \"$%s_%s_TEXT\"\n"
  190. " exit 0\n\0"
  191. /* 1923 */ "\n"
  192. "# # # # # # # # # #\n"
  193. "#\n"
  194. "# END OF AUTOMATED OPTION PROCESSING\n"
  195. "#\n"
  196. "# # # # # # # # # # -- do not modify this marker --\n\0"
  197. /* 2039 */ " if [ -n \"${OPT_ARG_VAL}\" ]\n"
  198. " then\n"
  199. " eval %1$s_${OPT_NAME}${OPT_ELEMENT}=\"'${OPT_ARG_VAL}'\"\n"
  200. " export %1$s_${OPT_NAME}${OPT_ELEMENT}\n"
  201. " fi\n"
  202. "done\n"
  203. "OPTION_COUNT=`expr $ARG_COUNT - $#`\n"
  204. "OPERAND_COUNT=$#\n"
  205. "unset OPT_PROCESS || :\n"
  206. "unset OPT_ELEMENT || :\n"
  207. "unset OPT_ARG || :\n"
  208. "unset OPT_ARG_NEEDED || :\n"
  209. "unset OPT_NAME || :\n"
  210. "unset OPT_CODE || :\n"
  211. "unset OPT_ARG_VAL || :\n\0"
  212. /* 2418 */ " OPT_CODE=`echo \"X${OPT_ARG}\"|sed 's/^X-*//'`\n"
  213. " shift\n"
  214. " OPT_ARG=$1\n"
  215. " case \"${OPT_CODE}\" in *=* )\n"
  216. " OPT_ARG_VAL=`echo \"${OPT_CODE}\"|sed 's/^[^=]*=//'`\n"
  217. " OPT_CODE=`echo \"${OPT_CODE}\"|sed 's/=.*$//'` ;; esac\n\0"
  218. /* 2669 */ " OPT_CODE=`echo \"X${OPT_ARG}\" | sed 's/X-\\(.\\).*/\\1/'`\n"
  219. " OPT_ARG=` echo \"X${OPT_ARG}\" | sed 's/X-.//'`\n\0"
  220. /* 2786 */ "\n"
  221. "ARG_COUNT=$#\n"
  222. "OPT_PROCESS=true\n"
  223. "OPT_ARG=$1\n"
  224. "while ${OPT_PROCESS} && [ $# -gt 0 ]\n"
  225. "do\n"
  226. " OPT_ELEMENT=''\n"
  227. " OPT_ARG_VAL=''\n\n"
  228. " case \"${OPT_ARG}\" in\n"
  229. " -- )\n"
  230. " OPT_PROCESS=false\n"
  231. " shift\n"
  232. " ;;\n\0"
  233. /* 2993 */ " case \"${OPT_ARG_NEEDED}\" in\n"
  234. " NO )\n"
  235. " OPT_ARG_VAL=''\n"
  236. " ;;\n"
  237. " YES )\n"
  238. " if [ -z \"${OPT_ARG_VAL}\" ]\n"
  239. " then\n"
  240. " if [ $# -eq 0 ]\n"
  241. " then\n"
  242. " echo No argument provided for ${OPT_NAME} option\n"
  243. " echo \"$%s_USAGE_TEXT\"\n"
  244. " exit 1\n"
  245. " fi >&2\n"
  246. " OPT_ARG_VAL=${OPT_ARG}\n"
  247. " shift\n"
  248. " OPT_ARG=$1\n"
  249. " fi\n"
  250. " ;;\n"
  251. " OK )\n"
  252. " if [ -z \"${OPT_ARG_VAL}\" ] && [ $# -gt 0 ]\n"
  253. " then\n"
  254. " case \"${OPT_ARG}\" in -* ) ;; * )\n"
  255. " OPT_ARG_VAL=${OPT_ARG}\n"
  256. " shift\n"
  257. " OPT_ARG=$1 ;; esac\n"
  258. " fi\n"
  259. " ;;\n"
  260. " esac\n\0"
  261. /* 3772 */ " %1$s_%2$s_CT=`expr ${%1$s_%2$s_CT} + 1`\n"
  262. " OPT_ELEMENT=\"_${%1$s_%2$s_CT}\"\n"
  263. " OPT_NAME='%2$s'\n\0"
  264. /* 3896 */ "\n"
  265. "if test -z \"${%1$s_%2$s}\"\n"
  266. "then\n"
  267. " %1$s_%2$s_CT=0\n"
  268. " export %1$s_%2$s_CT\n"
  269. "else\n"
  270. " %1$s_%2$s_CT=1\n"
  271. " %1$s_%2$s_1=${%1$s_%2$s}\n"
  272. " export %1$s_%2$s_CT %1$s_%2$s_1\n"
  273. "fi\n\0"
  274. /* 4054 */ " * )\n"
  275. " OPT_PROCESS=false\n"
  276. " ;;\n"
  277. " esac\n\0"
  278. /* 4111 */ " %1$s_%2$s_CT=0\n"
  279. " OPT_ELEMENT=''\n"
  280. " %1$s_%2$s='%3$s'\n"
  281. " export %1$s_%2$s\n"
  282. " OPT_NAME='%2$s'\n\0"
  283. /* 4252 */ " if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
  284. " echo 'Error: duplicate %2$s option'\n"
  285. " echo \"$%1$s_USAGE_TEXT\"\n"
  286. " exit 1\n"
  287. " fi >&2\n"
  288. " %1$s_%2$s_set=true\n"
  289. " %1$s_%2$s='%3$s'\n"
  290. " export %1$s_%2$s\n"
  291. " OPT_NAME='%2$s'\n\0"
  292. /* 4569 */ "\n"
  293. "ARG_COUNT=$#\n"
  294. "OPT_ARG=$1\n"
  295. "while [ $# -gt 0 ]\n"
  296. "do\n"
  297. " OPT_ELEMENT=''\n"
  298. " OPT_ARG_VAL=''\n"
  299. " OPT_ARG=${1}\n\0"
  300. /* 4672 */ " case \"${OPT_ARG_NEEDED}\" in\n"
  301. " NO )\n"
  302. " if [ -n \"${OPT_ARG}\" ]\n"
  303. " then\n"
  304. " OPT_ARG=-${OPT_ARG}\n"
  305. " else\n"
  306. " shift\n"
  307. " OPT_ARG=$1\n"
  308. " fi\n"
  309. " ;;\n"
  310. " YES )\n"
  311. " if [ -n \"${OPT_ARG}\" ]\n"
  312. " then\n"
  313. " OPT_ARG_VAL=${OPT_ARG}\n"
  314. " else\n"
  315. " if [ $# -eq 0 ]\n"
  316. " then\n"
  317. " echo No argument provided for ${OPT_NAME} option\n"
  318. " echo \"$%s_USAGE_TEXT\"\n"
  319. " exit 1\n"
  320. " fi >&2\n"
  321. " shift\n"
  322. " OPT_ARG_VAL=$1\n"
  323. " fi\n"
  324. " shift\n"
  325. " OPT_ARG=$1\n"
  326. " ;;\n"
  327. " OK )\n"
  328. " if [ -n \"${OPT_ARG}\" ]\n"
  329. " then\n"
  330. " OPT_ARG_VAL=${OPT_ARG}\n"
  331. " shift\n"
  332. " OPT_ARG=$1\n"
  333. " else\n"
  334. " shift\n"
  335. " if [ $# -gt 0 ]\n"
  336. " then\n"
  337. " case \"$1\" in -* ) ;; * )\n"
  338. " OPT_ARG_VAL=$1\n"
  339. " shift ;; esac\n"
  340. " OPT_ARG=$1\n"
  341. " fi\n"
  342. " fi\n"
  343. " ;;\n"
  344. " esac\n\0"
  345. /* 5826 */ " echo \"$%s_LONGUSAGE_TEXT\" | ${PAGER-more}\n"
  346. " exit 0\n\0"
  347. /* 5900 */ "%s OF %s\n"
  348. "#\n"
  349. "# From here to the next `-- do not modify this marker --',\n"
  350. "# the text has been generated %s\n\0"
  351. /* 6006 */ " eval %1$s_%2$s${OPT_ELEMENT}=true\n"
  352. " export %1$s_%2$s${OPT_ELEMENT}\n\0"
  353. /* 6096 */ " if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
  354. " echo 'Error: duplicate %2$s option'\n"
  355. " echo \"$%1$s_USAGE_TEXT\"\n"
  356. " exit 1\n"
  357. " fi >&2\n"
  358. " %1$s_%2$s_set=true\n"
  359. " OPT_NAME='%2$s'\n\0"
  360. /* 6355 */ "\n"
  361. "%1$s_%2$s=${%1$s_%2$s-'%3$s'}\n"
  362. "%1$s_%2$s_set=false\n"
  363. "export %1$s_%2$s\n\0"
  364. /* 6424 */ "\n"
  365. "%1$s_%2$s=${%1$s_%2$s}\n"
  366. "%1$s_%2$s_set=false\n"
  367. "export %1$s_%2$s\n\0"
  368. /* 6486 */ "# # # # # # # # # # -- do not modify this marker --\n"
  369. "#\n"
  370. "# DO NOT EDIT THIS SECTION\n\0"
  371. /* 6569 */ " * )\n"
  372. " echo Unknown %s: \"${OPT_CODE}\" >&2\n"
  373. " echo \"$%s_USAGE_TEXT\" >&2\n"
  374. " exit 1\n"
  375. " ;;\n"
  376. " esac\n";
  377. /* end of ao-strs.c */